package com.inspect.system.base.openDomain;

import com.inspect.base.core.web.domain.BaseEntity;
import java.util.ArrayList;
import java.util.List;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BaseDataArea extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long areaId;
   private Long parentId;
   private String ancestors;
   private String areaName;
   private String orderNum;
   private String areaType;
   private String status;
   private String delFlag;
   private String parentName;
   private List<BaseDataArea> children = new ArrayList();

   public Long getAreaId() {
      return this.areaId;
   }

   public void setAreaId(Long areaId) {
      this.areaId = areaId;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public void setParentId(Long parentId) {
      this.parentId = parentId;
   }

   public String getAncestors() {
      return this.ancestors;
   }

   public void setAncestors(String ancestors) {
      this.ancestors = ancestors;
   }

   @NotBlank(
      message = "部门名称不能为空"
   )
   @Size(
      min = 0,
      max = 30,
      message = "部门名称长度不能超过30个字符"
   )
   public String getAreaName() {
      return this.areaName;
   }

   public void setAreaName(String areaName) {
      this.areaName = areaName;
   }

   @NotBlank(
      message = "显示顺序不能为空"
   )
   public String getOrderNum() {
      return this.orderNum;
   }

   public void setOrderNum(String orderNum) {
      this.orderNum = orderNum;
   }

   public String getAreaType() {
      return this.areaType;
   }

   public void setAreaType(String areaType) {
      this.areaType = areaType;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getDelFlag() {
      return this.delFlag;
   }

   public void setDelFlag(String delFlag) {
      this.delFlag = delFlag;
   }

   public String getParentName() {
      return this.parentName;
   }

   public void setParentName(String parentName) {
      this.parentName = parentName;
   }

   public List<BaseDataArea> getChildren() {
      return this.children;
   }

   public void setChildren(List<BaseDataArea> children) {
      this.children = children;
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("deptId", this.getAreaId()).append("parentId", this.getParentId()).append("ancestors", this.getAncestors()).append("areaName", this.getAreaName()).append("orderNum", this.getOrderNum()).append("areaType", this.getAreaType()).append("status", this.getStatus()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).toString();
   }
}
